#include "stdafx.h"
#include "MicroSecondTimer.h"

CMicroSecondTimer::CMicroSecondTimer(void)
{
	if(QueryPerformanceFrequency((PLARGE_INTEGER) &m_CountPerSec) != TRUE)
	{
		throw 1;
	}
}

CMicroSecondTimer::~CMicroSecondTimer(void)
{
}

// Sample the current date and return it as microseconds 
__int64 CMicroSecondTimer::SampleTimeAsMicroS()
{
	LARGE_INTEGER t;
	QueryPerformanceCounter((PLARGE_INTEGER) &t);
	return (t.QuadPart  * 1000000 / m_CountPerSec);
}

__int64 CMicroSecondTimer::GetCountPerSec()
{
	return m_CountPerSec;
}